vlog -sv -work work {FIFO_2word_FWFT.sv}
vlog -sv -work work {line_generator.sv}
vlog -sv -work work {ellipse_generator.sv}
vlog -sv -work work {geometry_xy_plotter.sv}
vlog -sv -work work {pixel_address_generator.sv}
vlog -sv -work work {geo_pixel_writer.sv}
vlog -sv -work work {GPU_GEO_tb.sv}
#vsim -default_radix unsigned -t 1ns -L work -voptargs="+acc" GPU_GEO_tb

restart -force -nowave
# This line shows only the varible name instead of the full path and which module it was in
config wave -signalnamewidth 1

#add wave -position insertpoint -radix unsigned sim:/GPU_GEO_tb/*

add wave -position insertpoint \
-radix unsigned \
sim:/GPU_GEO_tb/v_cnt \
-radix hexadecimal \
sim:/GPU_GEO_tb/hse \
sim:/GPU_GEO_tb/vse \
sim:/GPU_GEO_tb/reset \
sim:/GPU_GEO_tb/busy_system  \
sim:/GPU_GEO_tb/GEOFF_busy \
-radix unsigned \
sim:/GPU_GEO_tb/Script_LINE \
-radix ascii \
sim:/GPU_GEO_tb/Script_CMD \
-radix hexadecimal \
sim:/GPU_GEO_tb/TB_cmd_ena \
sim:/GPU_GEO_tb/TB_cmd_in \
sim:/GPU_GEO_tb/clk \
-divider "DUT_GEOFF internal"

add wave -position insertpoint \
-radix decimal \
sim:/GPU_GEO_tb/DUT_GEOFF/x \
sim:/GPU_GEO_tb/DUT_GEOFF/y \
sim:/GPU_GEO_tb/DUT_GEOFF/max_x \
sim:/GPU_GEO_tb/DUT_GEOFF/max_y \
-divider "DUT_GEOFF XY plotter" \
-radix unsigned \
sim:/GPU_GEO_tb/DUT_GEOFF/plot_pixel_ena \
-radix decimal \
sim:/GPU_GEO_tb/DUT_GEOFF/plot_pixel_xy \
-radix unsigned \
sim:/GPU_GEO_tb/DUT_GEOFF/plot_pixel_col \
-divider "DUT_GEOFF XY blitter" \
sim:/GPU_GEO_tb/DUT_GEOFF/p_blit_mask_col \
-radix binary \
sim:/GPU_GEO_tb/DUT_GEOFF/p_blit_features \
-radix unsigned \
-divider "DUT_GEOFF output" \
-radix hexadecimal \
sim:/GPU_GEO_tb/GEOFF_draw_cmd_rdy \
sim:/GPU_GEO_tb/GEOFF_draw_cmd \
-radix unsigned \
sim:/GPU_GEO_tb/GEOFF_cmd_cmd \
sim:/GPU_GEO_tb/GEOFF_cmd_color \
sim:/GPU_GEO_tb/GEOFF_cmd_y \
sim:/GPU_GEO_tb/GEOFF_cmd_x 

add wave -position insertpoint \
-radix hexadecimal \
-divider "DUT_PAGET internal" \
sim:/GPU_GEO_tb/DUT_PAGET/dest_bits_per_pixel \
sim:/GPU_GEO_tb/DUT_PAGET/dest_rast_width \
sim:/GPU_GEO_tb/DUT_PAGET/dest_base_address \
sim:/GPU_GEO_tb/DUT_PAGET/dest_address \
sim:/GPU_GEO_tb/DUT_PAGET/srce_bits_per_pixel \
sim:/GPU_GEO_tb/DUT_PAGET/srce_rast_width \
sim:/GPU_GEO_tb/DUT_PAGET/srce_base_address \
sim:/GPU_GEO_tb/DUT_PAGET/srce_address \
-divider "DUT_PAGET output" \
sim:/GPU_GEO_tb/PAGET_cmd_rdy \
sim:/GPU_GEO_tb/PAGET_cmd_cmd \
sim:/GPU_GEO_tb/PAGET_cmd_color \
sim:/GPU_GEO_tb/PAGET_cmd_depth \
sim:/GPU_GEO_tb/PAGET_cmd_bit \
sim:/GPU_GEO_tb/PAGET_cmd_addr 

add wave -position insertpoint \
-radix hexadecimal \
-divider "DUT_PIXIE internal" \
sim:/GPU_GEO_tb/ENA_PIXIE \
sim:/GPU_GEO_tb/clk \
-divider "DUT_PIXIE output" \
sim:/GPU_GEO_tb/PIXIE_rd_req_a \
sim:/GPU_GEO_tb/PIXIE_rd_req_b \
sim:/GPU_GEO_tb/PIXIE_wr_ena \
sim:/GPU_GEO_tb/PIXIE_ram_addr \
sim:/GPU_GEO_tb/PIXIE_ram_wr_data \
sim:/GPU_GEO_tb/RAM_data_rdy_a \
sim:/GPU_GEO_tb/RAM_data_rdy_b \
sim:/GPU_GEO_tb/RAM_data_read \
-divider "DUT_PIXIE flags" \
sim:/GPU_GEO_tb/PIXIE_busy \
sim:/GPU_GEO_tb/PIXIE_col_rd_rst \
sim:/GPU_GEO_tb/PIXIE_col_wr_rst \
sim:/GPU_GEO_tb/PIXIE_col_rd \
sim:/GPU_GEO_tb/PIXIE_col_wr 



view structure
view signals

run -all

wave cursor active
wave refresh
wave zoom range 0ns 1000ns
view signals
